<?php

namespace Mnv\Core\JSONParser\Writer;

/**
 * Интерфейс Writer / define writer interface
 *
 * @package JSONParser
 */
interface IWriter
{
    public function addRow($values);
    public function editRow($index, $values);
    public function deleteRow($index);
    public function saveString();
    public function saveFile($filename, $target);
    public function setData($values);
}